Bug 1651407 (python-wxnatpy) - Review Request: python-wxnatpy - wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
Summary: Review Request: python-wxnatpy - wxnatpy is a wxPython widget which allows us...
Keywords:
Status: CLOSED RAWHIDE
Alias: python-wxnatpy
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-xnat
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-20 01:10 UTC by Luis Bazan
Modified: 2019-01-21 16:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-21 16:11:56 UTC
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Luis Bazan 2018-11-20 01:10:36 UTC
Spec URL: https://lbazan.fedorapeople.org/python-wxnatpy.spec
SRPM URL: https://lbazan.fedorapeople.org/python-wxnatpy-0.3.1-1.fc29.src.rpm

Description:
wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository. It is built on top of wxPython and xnatpy.

Fedora Account System Username: lbazan

Comment 1 Luis Bazan 2018-12-05 16:52:46 UTC
I disable this dependency because not support py3

# This package is required for fsleyes which only supports py3, so we don't
# support py2 for this either.
#BuildRequires: python2-fsleyes-widgets

Comment 2 Luis Bazan 2018-12-05 16:53:08 UTC
sorry not support py2

Comment 3 Luis Bazan 2018-12-06 15:16:23 UTC
the spec fixed only for py3

Comment 4 Ankur Sinha (FranciscoD) 2018-12-06 17:25:17 UTC
Package is good. XXX APPROVED XXX

Please wait for progressbar before building, though, and then all three can be pushed as one update in bodhi to ensure the dep chain is correct.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/asinha/1651407
  -python-wxnatpy/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

^ Please re-download the tar and re-generate the srpm. This shouldnt happen.

- Requires are incomplete. They are mentioned in requirements.txt, and the
  generator has not picked them up. Please include them manually.

This package requires python-xnat to run (not just for build/test), so please
update the requirements before you build. If xnat requires progressbar2 to
*run*, and so does wxnatpy, you'll have to wait for it to be built and included
in the repos before you can proceed with these two.

- Please shorten the summary and linewrap the description.

- %version is not needed in the URL field in the spec.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated".
     15 files have unknown license. Detailed output of licensecheck in
     /home/asinha/1651407-python-wxnatpy/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
^ Incomplete. Noted later.


[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-wxnatpy-0.3.1-1.fc30.noarch.rpm
          python-wxnatpy-0.3.1-1.fc30.src.rpm
python3-wxnatpy.noarch: W: spelling-error Summary(en_US) wxPython -> python, Python
python3-wxnatpy.noarch: W: summary-not-capitalized C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
python3-wxnatpy.noarch: W: summary-ended-with-dot C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
python3-wxnatpy.noarch: E: summary-too-long C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
python3-wxnatpy.noarch: W: spelling-error %description -l en_US wxPython -> python, Python
python3-wxnatpy.noarch: W: spelling-error %description -l en_US xnatpy 
python3-wxnatpy.noarch: E: description-line-too-long C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
^
How about: "wxPython XNAT repository browser" from the PyPi page for the
summary. For the description, please wrap the line and that'll fix it.


python-wxnatpy.src: W: spelling-error Summary(en_US) wxPython -> python, Python
python-wxnatpy.src: W: summary-not-capitalized C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
python-wxnatpy.src: W: summary-ended-with-dot C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
python-wxnatpy.src: E: summary-too-long C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
python-wxnatpy.src: W: spelling-error %description -l en_US wxPython -> python, Python
python-wxnatpy.src: W: spelling-error %description -l en_US xnatpy 
python-wxnatpy.src: E: description-line-too-long C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
python-wxnatpy.src:52: W: macro-in-comment %check
python-wxnatpy.src:53: W: macro-in-comment %{__python3}
python-wxnatpy.src: W: file-size-mismatch wxnatpy-0.3.1.tar.gz = 17826, https://files.pythonhosted.org/packages/source/w/wxnatpy/wxnatpy-0.3.1.tar.gz = 17376
2 packages and 0 specfiles checked; 4 errors, 13 warnings.

^ very odd. This should not happen. Please redownload the tar and rebuild the
srpm to be sure. (Maybe upstream made a change and a new tar was generated?)


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-wxnatpy.noarch: W: spelling-error Summary(en_US) wxPython -> python, Python
python3-wxnatpy.noarch: W: summary-not-capitalized C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
python3-wxnatpy.noarch: W: summary-ended-with-dot C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
python3-wxnatpy.noarch: E: summary-too-long C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
python3-wxnatpy.noarch: W: spelling-error %description -l en_US wxPython -> python, Python
python3-wxnatpy.noarch: W: spelling-error %description -l en_US xnatpy 
python3-wxnatpy.noarch: E: description-line-too-long C wxnatpy is a wxPython widget which allows users to browse the contents of a XNAT repository.
python3-wxnatpy.noarch: W: invalid-url URL: http://pypi.python.org/pypi/wxnatpy/0.3.1 <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 2 errors, 6 warnings.



Requires
--------
python3-wxnatpy (rpmlib, GLIBC filtered):
    python(abi)

^ Incomplete. The generator has not picked up requires from requirements.txt


Provides
--------
python3-wxnatpy:
    python3-wxnatpy
    python3.7dist(wxnatpy)
    python3dist(wxnatpy)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/w/wxnatpy/wxnatpy-0.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 16cdf76fc90d30890f18254786541d5982dad4d1d73dcbc77f59e35fa54dea23
  CHECKSUM(SHA256) upstream package : 130b4b39299e213c4cf6829b64c03d2e0e3ba6b234a8d5f2044d7b4cb572c5f4
diff -r also reports differences

Comment 5 Gwyn Ciesla 2018-12-10 17:48:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-wxnatpy


Note You need to log in before you can comment on or make changes to this bug.